CMSimple_XH 1.6.9

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
cmb
Posts: 11278
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

CMSimple_XH 1.6.9

Postby cmb » Thu Dec 15, 2016 11:15 am

Hallo zusammen,

wir haben gerade CMSimple_XH 1.6.9 veröffentlicht. Diese Version behebt einen Bug im Filebrowser, der bei 1.6.8 eingeführt wurde. Weitere Details findet ihr in der archivierten Roadmap.

Wie üblich habt Ihr folgende Optionen:
  • Für neue Installationen verwendet ihr das Komplettpaket.
  • Zum Update von CMSimple_XH 1.6.8 gibt es ein Updatepaket; folgt der allgemeinen Update-Anleitung.
  • Zum Update von CMSimple_XH 1.6 - 1.6.7 gibt es ein Updatepaket; folgt der allgemeinen Update-Anleitung. Beachtet außerdem folgendes:
    • In CMSimple_XH 1.6.1 haben wir die Ordner css/ und javascript/ nach core/css/ bzw. core/js/ verschoben, so dass Ihr möglicherweise die alten Ordner nach dem Update löschen müsst.
    • In bestimmten Fällen werden Leerzeichen in den URLs nun anders kodiert (- statt _). Wenn Ihr das nicht mögt, ändert die Konfigurationoption Uri -> Word separator.
    • Wenn Ihr meta_tags Titel verwendet, dann solltet Ihr die Titel der entsprechenden Seiten überprüfen. Das geänderte Verhalten ist vermutlich das gewünschte, aber prüft es trotzdem.
    • Aufgrund des geänderten Überschriftslevel des Submenüs müsst Ihr eventuell stylesheet.css Eures Templates anpassen, falls Ihr menu_levels ungleich 3 habt.
    • Wenn Ihr userprelude.php verwenden wollt, dann müsst Ihr die index.php Dateien bestehender Kopien von 2lang/ durch 2lang/index.php ersetzen.
    • Schaltet in der Konfiguration des jQuery4CMSimple Plugins auf die aktuellste jQuery- und jQueryUI-Version um. (Beachtet, dass jQuery 1.x noch IE 6-8 unterstützt, jQuery 2.x und 3.x aber nicht.)

Viel Spaß!
Last edited by cmb on Mon Jan 09, 2017 3:21 pm, edited 1 time in total.
Reason: Klarstellung der Updateversionen
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

frase
Posts: 1179
Joined: Thu Apr 21, 2016 6:32 am
Location: Saxony
Contact:

Re: CMSimple_XH 1.6.9

Postby frase » Thu Dec 15, 2016 11:44 am

Danke Jungens!
(Ich glaube es sind nur Jungens - oder?)

lck
Posts: 826
Joined: Wed Mar 23, 2011 11:43 am
Location: Germany
Contact:

Re: CMSimple_XH 1.6.9

Postby lck » Thu Dec 15, 2016 12:28 pm

frase wrote:Danke Jungens!
+1

Neue Version lokal getestet Xampp+PHP 5.6.3 (Debug-Modus + Browserkonsole aktiv), alles positiv.
Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig ;)       ► CMSimple_XH Templates & OnePage-Templates ◄

Der Zwerch
Posts: 513
Joined: Sat Jul 28, 2012 11:38 am
Location: Perle der Grafschaft > 127.0.0.1
Contact:

Re: CMSimple_XH 1.6.9

Postby Der Zwerch » Thu Dec 15, 2016 1:41 pm

Hallo,
Auch von mir ein "Daumenhoch" für die schnelle Umsetzung.

Gruss,
Franky
Hoster: Strato
Domains: 9 an der Zahl
CMS: CMSimple_XH, jeweils 1.6.10

Tata
Posts: 2358
Joined: Tue May 20, 2008 5:34 am
Location: Slovakia
Contact:

Re: CMSimple_XH 1.6.9

Postby Tata » Thu Dec 15, 2016 2:19 pm

Bei mir scheint auch alles ohne Probleme zu laufen.
CMSimple.sk
It's no shame to ask for an answer if all efforts failed.
But it's awful to ask without any effort to find the answer yourself.

cmb
Posts: 11278
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: CMSimple_XH 1.6.9

Postby cmb » Thu Dec 15, 2016 4:13 pm

Danke für das schnelle und positive Feedback. :)

frase wrote:(Ich glaube es sind nur Jungens - oder?)

Derzeit ja, aber das kann sich ja ändern.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Michael_G
Posts: 39
Joined: Thu Feb 18, 2016 11:01 pm

Re: CMSimple_XH 1.6.9

Postby Michael_G » Thu Dec 15, 2016 10:31 pm

Hallo allerseits,

auch ich möchte mich für die raschen Updates bedanken!
Auch bei mir läuft nun alles rund.
Nur der Update-Check lief nicht gleich ganz durch, da ich seit Version 1.6.8 jQuery versuchsweise auf 3.x gestellt hatte.
Mit der Einstellung ...
Core: 3.1.1
UI: 1.12.1
Migrate: 3.0.0.min
... läuft aber auch der Update-Check durch.

Der Update-Check ist wohl momentan auch fast die einzige Anwendung für jQuery, oder?
Welche Anwendungen/Plug-ins benötigen denn eine Version 3.x?

Die PHP-Version ist bei mir 7.0.13 (Apache)
Ciao,
Michael

Holger
Site Admin
Posts: 2608
Joined: Mon May 19, 2008 7:10 pm
Location: Hessen, Germany
Contact:

Re: CMSimple_XH 1.6.9

Postby Holger » Thu Dec 15, 2016 11:18 pm

Michael_G wrote:Auch bei mir läuft nun alles rund.
Prima :) .

Michael_G wrote:Nur der Update-Check lief nicht gleich ganz durch, da ich seit Version 1.6.8 jQuery versuchsweise auf 3.x gestellt hatte.
Mit der Einstellung ...
Core: 3.1.1
UI: 1.12.1
Migrate: 3.0.0.min
... läuft aber auch der Update-Check durch.
Hmm, der müsste eigentlich auch ohne Migrate-Plugin funktionieren.

Michael_G wrote:Der Update-Check ist wohl momentan auch fast die einzige Anwendung für jQuery, oder?
Welche Anwendungen/Plug-ins benötigen denn eine Version 3.x?

Mir ist kein CMSimple_XH-Plugin bekannt, dass jQuery 3 braucht. Im Gegenteil. Version 3 wird bei vielen alten Sachen wohl eher Probleme machen, als es Vorteile bringt. Denn viele alte jQuery-Plugins werden ohne Anpassung nicht mit jQuery 3 (auch mit Migrate 3) laufen, weil sie nicht für neuere jQuery-Versionen angepasst wurden.
Ich hole mal etwas weiter aus:
Bei jQuery gab es im Laufe der Zeit Änderungen, die nicht zu früheren Versionen kompatibel sind. Veraltete Features wurden entfernt, oder die Syntax hat sich geändert. Damit die Skripte weiter funktionieren, gibt es dafür das Migrate-Plugin in zwei Versionen. Die komprimierte .min.js ist für den Live-Betrieb gedacht (eigentlich als Notbehelf). Die jeweils unkomprimierte Version wählt der Entwickler, wenn er aussagefähige Warnungen / Fehlermeldungen erzeugen will, wenn er also den Code eines jQuery-Plugins zu einer aktuellen Version migrieren möchte.

Welche Migrate-Version gehört zu welcher jQuery-Core Version?
Funktioniert ein jQuery-Plugin unter einer Core-Version 1.x bzw. 2.x nicht (mehr), benötigt man die neueste Migrate 1.x - Version.
Funktioniert es erst ab jQuery 3.x nicht mehr, benötigt man die aktuellste Migrate 3.x - Version
(Migrate 3.x wird mit jQuery 1.x oder 2.x nicht funktionieren).

Warum haben wir jQuery 3 überhaupt in XH aufgenommen?
Wir hoffen, dass User es testen und Probleme melden, was ja auch schon geschehen ist. Außerdem sollen die Plugin-Entwickler auch ermutigt werden, aktuelle jQuery-Versionen zu unterstützen. Die Anpassung ist oftmals keine große Sache. Aber jQuery 3 bringt beispielsweise bei Animationen einen sehr großen Geschwindigkeitsvorteil.

cmb
Posts: 11278
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: CMSimple_XH 1.6.9

Postby cmb » Fri Dec 16, 2016 12:29 am

Michael_G wrote:Der Update-Check ist wohl momentan auch fast die einzige Anwendung für jQuery, oder?

Nicht wirklich. Der Pagemanager verwendet jQuery (und auch jQueryUI), und es gibt schon eine ganze Reihe anderer Plugins und auch Templates, die jQuery voraussetzen.

Michael_G wrote:Die PHP-Version ist bei mir 7.0.13 (Apache)

Ich bin angenehm überrascht, wie viele CMSimple_XH-Anwender bereits PHP 7+ nutzen (Du bist ja nicht der erste, der das berichtet)!
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

mhz
Posts: 422
Joined: Tue Jun 25, 2013 8:46 pm
Location: Heusenstamm
Contact:

Re: CMSimple_XH 1.6.9

Postby mhz » Fri Dec 16, 2016 1:42 pm

Danke für das erneute Update!
Ich hatte bei 1.6.8 gar nichts umgestellt, es lief auch dort alles rund.
Jetzt fühle ich mich, nachdem ich von den ganzen Schwierigkeiten bei den anderen gelesen hatte, doch gleich noch sicherer.
Gruß
Michael
Michael Zajusch (mhz)-- Mein Tutorial für CMSimple_XH. Früher


Return to “Deutsch”

Who is online

Users browsing this forum: No registered users and 8 guests